/**
 * UniFi Device Search tool, common JavaScript functions
 *
 * Copyright (c) 2020, Art of WiFi, info@artofwifi.net
 *
 * This source file is part of the UniFi Device Search tool and is subject to the MIT license that is bundled
 * with this package in the file LICENSE.md.
 *
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 */
function naturalSort(e,i,a){var l=/(^-?[0-9]+(\.?[0-9]*)[df]?e?[0-9]?%?$|^0x[0-9a-f]+$|[0-9]+)/gi,s=/(^[ ]*|[ ]*$)/g,d=/(^([\w ]+,?[\w ]+)?[\w ]+,?[\w ]+\d+:\d+(:\d+)?[\w ]?|^\d{1,4}[\/\-]\d{1,4}[\/\-]\d{1,4}|^\w+, \w+ \d+, \d{4})/,U=/^0x[0-9a-f]+$/i,n=/^0/,t=/(<([^>]+)>)/gi,e=e.toString().replace(s,"")||"",s=i.toString().replace(s,"")||"";a||(e=e.replace(t,""),s=s.replace(t,""));var o=e.replace(l,"\0$1\0").replace(/\0$/,"").replace(/^\0/,"").split("\0"),r=s.replace(l,"\0$1\0").replace(/\0$/,"").replace(/^\0/,"").split("\0"),e=parseInt(e.match(U),10)||1!==o.length&&e.match(d)&&Date.parse(e),s=parseInt(s.match(U),10)||e&&s.match(d)&&Date.parse(s)||null;if(s){if(e<s)return-1;if(s<e)return 1}for(var S=0,p=Math.max(o.length,r.length);S<p;S++){var P=!(o[S]||"").match(n)&&parseFloat(o[S],10)||o[S]||0,c=!(r[S]||"").match(n)&&parseFloat(r[S],10)||r[S]||0;if(isNaN(P)!==isNaN(c))return isNaN(P)?1:-1;if(typeof P!=typeof c&&(P+="",c+=""),P<c)return-1;if(c<P)return 1}return 0}function stateRenderFunction(i,e,a,l){if("display"===e){let e="";switch(void 0!==a.disabled&&!0===a.disabled&&(e=' <span class="badge badge-warning">disabled</span>'),i){case 1:return!0===a.locating?'<span class="badge badge-primary">flashing</span>'+e:'<span class="badge badge-success">OK</span>'+e;case 0:return'<span class="badge badge-danger">offline</span>'+e;case 2:return'<span class="badge badge-warning">pending adoption</span>'+e;case 4:return'<span class="badge badge-warning">provisioning</span>'+e;case 5:return'<span class="badge badge-warning">updating</span>'+e;case 6:return'<span class="badge badge-danger">unreachable</span>'+e;case 7:return'<span class="badge badge-warning">adopting</span>'+e;case 9:return'<span class="badge badge-warning">adoption error</span>'+e;case 11:return'<span class="badge badge-warning">isolated</span>'+e;default:return i}}if("filter"===e){let e="";switch(void 0!==a.disabled&&!0===a.disabled&&(e="-disabled"),i){case 1:return!0===a.locating?"flashing"+e:"OK"+e;case 0:return"offline"+e;case 2:return"pending adoption"+e;case 4:return"provisioning"+e;case 5:return"updating"+e;case 6:return"unreachable"+e;case 7:return"adopting"+e;case 9:return"adoption error"+e;case 11:return"isolated"+e;default:return i}}return i}function supportRenderFunction(e,i,a,l){return"display"===i?!0!==e?a.is_eol?""!==a.eol_date?'<span class="badge badge-danger clickable" data-toggle="tooltip" data-placement="left" title="EOL date: '+moment(a.eol_date).format("MMMM Do YYYY")+'">EOL</span>':'<span class="badge badge-danger">EOL</span>':"":""!==a.eol_date?'<span class="badge badge-warning clickable" data-toggle="tooltip" data-placement="left" title="EOL date: '+moment(a.eol_date).format("MMMM Do YYYY")+'">LTS</span>':'<span class="badge badge-warning">LTS</span>':"filter"===i?!0!==e?a.is_eol?"EOL":"":"LTS":e}function modelRenderFunction(e,i,a,l){return"display"===i||"filter"===i?getDeviceModelName(e):e}jQuery().DataTable&&($.fn.dataTable.ext.errMode="throw",jQuery.extend(jQuery.fn.dataTableExt.oSort,{"natural-asc":function(e,i){return naturalSort(e,i,!0)},"natural-desc":function(e,i){return-1*naturalSort(e,i,!0)},"natural-nohtml-asc":function(e,i){return naturalSort(e,i,!1)},"natural-nohtml-desc":function(e,i){return-1*naturalSort(e,i,!1)},"natural-ci-asc":function(e,i){return naturalSort(e=e.toString().toLowerCase(),i=i.toString().toLowerCase(),!0)},"natural-ci-desc":function(e,i){return-1*naturalSort(e=e.toString().toLowerCase(),i=i.toString().toLowerCase(),!0)}}));var device_models={BZ2:{base_model:"BZ2",display:"UniFi AP"},BZ2LR:{base_model:"BZ2",display:"UniFi AP-LR"},S216150:{base_model:"US24P250",display:"UniFi Switch 16 AT-150W",include_fw:"USC8"},S224250:{base_model:"US24P250",display:"UniFi Switch 24 AT-250W",include_fw:"USC8"},S224500:{base_model:"US24P250",display:"UniFi Switch 24 AT-500W",include_fw:"USC8"},S248500:{base_model:"US24P250",display:"UniFi Switch 48 AT-500W",include_fw:"USC8"},S248750:{base_model:"US24P250",display:"UniFi Switch 48 AT-750W",include_fw:"USC8"},S28150:{base_model:"US24P250",display:"UniFi Switch 8 AT-150W",include_fw:"USC8"},U2HSR:{base_model:"U2HSR",display:"UniFi AP-Outdoor+"},U2IW:{base_model:"U2IW",display:"UniFi AP-In Wall"},U2Lv2:{base_model:"U2Sv2",display:"UniFi AP-LR v2"},U2O:{base_model:"BZ2",display:"UniFi AP-Outdoor"},U2Sv2:{base_model:"U2Sv2",display:"UniFi AP v2"},U5O:{base_model:"BZ2",display:"UniFi AP-Outdoor 5G"},U6ENT:{base_model:"U6ENT",display:"U6-Enterprise"},U6EXT:{base_model:"U6EXT",display:"U6-Extender"},U6IW:{base_model:"U6IW",display:"U6-IW"},U6M:{base_model:"U6M",display:"U6-Mesh"},U7E:{base_model:"U7E",display:"UniFi AP-AC"},U7EDU:{base_model:"U7PG2",display:"UniFi AP-AC-EDU"},U7Ev2:{base_model:"U7E",display:"UniFi AP-AC v2"},U7HD:{base_model:"U7HD",display:"UniFi AP-HD"},U7IW:{base_model:"U7PG2",display:"UniFi AP-AC-In Wall"},U7IWP:{base_model:"U7PG2",display:"UniFi AP-AC-In Wall Pro"},U7LR:{base_model:"U7PG2",display:"UniFi AP-AC-LR"},U7LT:{base_model:"U7PG2",display:"UniFi AP-AC-Lite"},U7MP:{base_model:"U7PG2",display:"UniFi AP-AC-Mesh-Pro"},U7MSH:{base_model:"U7PG2",display:"UniFi AP-AC-Mesh"},U7NHD:{base_model:"U7NHD",display:"UniFi AP-nanoHD"},U7O:{base_model:"U7E",display:"UniFi AP-AC Outdoor"},U7P:{base_model:"U7P",display:"UniFi AP-Pro"},U7PG2:{base_model:"U7PG2",display:"UniFi AP-AC-Pro"},U7SHD:{base_model:"U7HD",display:"UniFi AP-SHD"},UAE6:{base_model:"UAE6",display:"U6-Extender-EA"},UAIW6:{base_model:"UAIW6",display:"U6-IW-EA"},UAL6:{base_model:"UAL6",display:"U6-Lite"},UALR6:{base_model:"UALR6",display:"U6-LR-EA"},UALR6v2:{base_model:"UALR6v2",display:"U6-LR"},UALR6v3:{base_model:"UALR6v3",display:"U6-LR"},UAM6:{base_model:"UAM6",display:"U6-Mesh-EA"},UAP6:{base_model:"UAP6",display:"U6-LR"},UAP6MP:{base_model:"UAP6MP",display:"U6-Pro"},UBB:{base_model:"UBB",display:"UniFi Building Bridge"},UBBXG:{base_model:"UBBXG",display:"UniFi Building-to-Building XG"},UCK:{base_model:"UCK",display:"UniFi Cloud Key"},UCKG2:{base_model:"UCKG2",display:"UniFi Cloud Key Gen2"},UCKP:{base_model:"UCKP",display:"UniFi Cloud Key Plus"},UCMSH:{base_model:"U7HD",display:"UniFi AP-MeshXG"},UCXG:{base_model:"U7HD",display:"UniFi AP-XG"},UDC48X6:{base_model:"UDC48X6",display:"UniFi Data Center 100G-48X6"},UDM:{base_model:"UDM",display:"UniFi Dream Machine"},UDMB:{base_model:"U7NHD",display:"UDM Beacon"},UDMPRO:{base_model:"UDMPRO",display:"UniFi Dream Machine PRO"},UDMPROSE:{base_model:"UDMPROSE",display:"UniFi Dream Machine PRO SE"},UDMSE:{base_model:"UDMSE",display:"UniFi Dream Machine SE"},UDR:{base_model:"UDR",display:"UniFi Dream Router"},UFLHD:{base_model:"U7NHD",display:"UniFi Flex HD"},UGW3:{base_model:"UGW3",display:"UniFi Security Gateway"},UGW4:{base_model:"UGW4",display:"UniFi Security Gateway-Pro"},UGWXG:{base_model:"UGWXG",display:"UniFi Security Gateway XG-8"},UHDIW:{base_model:"U7NHD",display:"UniFi AP-HD-In Wall"},ULTE:{base_model:"ULTE",display:"UniFi AP-LTE"},ULTEPEU:{base_model:"ULTEPEU",display:"UniFi LTE Pro EU"},ULTEPUS:{base_model:"ULTEPUS",display:"UniFi LTE Pro US"},UP1:{base_model:"UP1",display:"UniFi Smart Power Plug"},UP6:{base_model:"UP6",display:"UniFi Smart Power 6-Port Power Strip"},US16P150:{base_model:"US24P250",display:"UniFi Switch 16 POE-150W",include_fw:"USC8"},US24:{base_model:"US24P250",display:"UniFi Switch 24",include_fw:"USC8"},US24P250:{base_model:"US24P250",display:"UniFi Switch 24 POE-250W",include_fw:"USC8"},US24P500:{base_model:"US24P250",display:"UniFi Switch 24 POE-500W",include_fw:"USC8"},US24PL2:{base_model:"US24PL2",display:"UniFi Switch 24 L2 POE"},US24PRO:{base_model:"US24PRO",display:"UniFi Switch Pro 24 PoE"},US24PRO2:{base_model:"US24PRO2",display:"UniFi Switch Pro 24"},US48:{base_model:"US24P250",display:"UniFi Switch 48",include_fw:"USC8"},US48P500:{base_model:"US24P250",display:"UniFi Switch 48 POE-500W",include_fw:"USC8"},US48P750:{base_model:"US24P250",display:"UniFi Switch 48 POE-750W",include_fw:"USC8"},US48PL2:{base_model:"US24PL2",display:"UniFi Switch 48 L2 POE"},US48PRO:{base_model:"US48PRO",display:"UniFi Switch Pro 48 PoE"},US48PRO2:{base_model:"US48PRO2",display:"UniFi Switch Pro 48"},US624P:{base_model:"US624P",display:"UniFi Switch Enterprise 24 PoE"},US648P:{base_model:"US648P",display:"UniFi Switch Enterprise 48 PoE"},US68P:{base_model:"US68P",display:"UniFi Switch Enterprise 8 PoE"},US6XG150:{base_model:"US6XG150",display:"UniFi Switch 6 XG PoE"},US8:{aka_by:"USC8",base_model:"US24P250",display:"UniFi Switch 8",include_fw:"USC8"},US8P150:{base_model:"US24P250",display:"UniFi Switch 8 POE-150W",include_fw:"USC8"},US8P60:{base_model:"US24P250",display:"UniFi Switch 8 POE-60W",include_fw:"USC8"},USAGGPRO:{base_model:"USAGGPRO",display:"Unifi Switch Pro Aggregation"},USC8:{base_model:"USC8P450",display:"UniFi Switch 8",hide:!0,include_fw:"US24P250"},USC8P450:{base_model:"USC8P450",display:"UniFi Switch Industrial"},USF5P:{base_model:"USF5P",display:"UniFi Switch Flex"},USFXG:{base_model:"USFXG",display:"UniFi Switch Flex XG"},USL16LP:{base_model:"USL16LP",display:"UniFi Switch Lite 16 POE"},USL16P:{base_model:"USL16P",display:"UniFi Switch 16 POE"},USL24:{base_model:"USL24",display:"UniFi Switch 24"},USL24P:{base_model:"USL24P",display:"UniFi Switch 24 POE"},USL48:{base_model:"USL48",display:"UniFi Switch 48"},USL48P:{base_model:"USL48P",display:"UniFi Switch 48 POE"},USL8A:{base_model:"USL8A",display:"UniFi Switch Aggregation"},USL8LP:{base_model:"USL8LP",display:"UniFi Switch Lite 8 POE"},USL8MP:{base_model:"USL8MP",display:"UniFi Switch Mission Critical"},USMINI:{base_model:"USMINI",display:"Unifi Switch Mini"},USPPDUP:{base_model:"USPPDUP",display:"UniFi Smart Power Power Distribution Unit Pro"},USPRPS:{base_model:"USF5P",display:"UniFi Smart Power Redundant Power System"},USXG:{base_model:"USXG",display:"UniFi Switch XG"},USXG24:{base_model:"USXG24",display:"UniFi Switch Enterprise XG 24"},UXBSDM:{base_model:"U7HD",display:"UniFi AP-BlackBaseStationXG"},UXGPRO:{base_model:"UXGPRO",display:"UniFi NeXt-Gen Gateway PRO"},UXSDM:{base_model:"U7HD",display:"UniFi AP-BaseStationXG"},p2N:{base_model:"p2N",display:"PicoStation M2"}};function getDeviceModelName(e){return null==device_models[e]?e:device_models[e].display}function uplinkMacRenderFunction(e,i,a,l){return("display"===i||"filter"===i)&&void 0!==a.uplink_port&&0!==a.uplink_port?e+" #"+a.uplink_port:e}
